org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ReadTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ReadTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ReadTest.Traversals

- Enclosing class:
    ReadTest

      public static class ReadTest.Traversals
      extends ReadTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ReadTest

      `ReadTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Object,Object>` | `get_g_io_read_withXreader_graphmlX(String fileToRead)`
    `Traversal<Object,Object>` | `get_g_io_read_withXreader_graphsonX(String fileToRead)`
    `Traversal<Object,Object>` | `get_g_io_read_withXreader_gryoX(String fileToRead)`
    `Traversal<Object,Object>` | `get_g_io_readXjsonX(String fileToRead)`
    `Traversal<Object,Object>` | `get_g_io_readXkryoX(String fileToRead)`
    `Traversal<Object,Object>` | `get_g_io_readXxmlX(String fileToRead)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ReadTest

      `g_io_read_withXreader_graphmlX, g_io_read_withXreader_graphsonX, g_io_read_withXreader_gryoX, g_io_readXjsonX, g_io_readXkryoX, g_io_readXxmlX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_io_readXkryoX

          public Traversal<Object,Object> get_g_io_readXkryoX(String fileToRead)
                                                       throws IOException

      Specified by:
        `get_g_io_readXkryoX` in class `ReadTest`
      Throws:
        `IOException`

    - #### get_g_io_read_withXreader_gryoX

          public Traversal<Object,Object> get_g_io_read_withXreader_gryoX(String fileToRead)
                                                                   throws IOException

      Specified by:
        `get_g_io_read_withXreader_gryoX` in class `ReadTest`
      Throws:
        `IOException`

    - #### get_g_io_readXjsonX

          public Traversal<Object,Object> get_g_io_readXjsonX(String fileToRead)
                                                       throws IOException

      Specified by:
        `get_g_io_readXjsonX` in class `ReadTest`
      Throws:
        `IOException`

    - #### get_g_io_read_withXreader_graphsonX

          public Traversal<Object,Object> get_g_io_read_withXreader_graphsonX(String fileToRead)
                                                                       throws IOException

      Specified by:
        `get_g_io_read_withXreader_graphsonX` in class `ReadTest`
      Throws:
        `IOException`

    - #### get_g_io_readXxmlX

          public Traversal<Object,Object> get_g_io_readXxmlX(String fileToRead)
                                                      throws IOException

      Specified by:
        `get_g_io_readXxmlX` in class `ReadTest`
      Throws:
        `IOException`

    - #### get_g_io_read_withXreader_graphmlX

          public Traversal<Object,Object> get_g_io_read_withXreader_graphmlX(String fileToRead)
                                                                      throws IOException

      Specified by:
        `get_g_io_read_withXreader_graphmlX` in class `ReadTest`
      Throws:
        `IOException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.